#ifndef __BOARD_H__
#define __BOARD_H__

#include "display.h"

typedef enum Move {
	Up = 0,
	Down = 1,
	Left = 2,
	Right = 3
} Move;

void board_init();
void board_render();

// from the perspective of a real tile
// for example, if the blank tile is in the top left corner,
// moving it to the right is a Move.Left
void board_move( Move move );

int board_hasWon();

#endif